// pages/SearchPage/SearchPage.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    searchKey:"",
    chineseValue:'跟团游',
    typeHidden:false,
    type:'gentuan',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  CloseSelect(e){
    console.log(e);
    let self = e.target.dataset.self;
    console.log(self)
    if(self=="self"){
      this.setData({
        typeHidden: false,
      })
    }
  },
  typeViewShow(){
    this.setData({
      typeHidden: true,
    })
  },
  searchInput(data){
    let value = this.data.searchKey;
    
    if (value==""){
      wx.showToast({
        title: "请输入搜索内容",
        icon: 'none',
        duration: 1000
      })
      return;
    }
    console.log(value)
    if (this.data.type == "gentuan") {
      wx.navigateTo({
        url: '/pages/GroupTour/GroupList/GroupList?searchKey=' + this.data.searchKey,
      })
    }
  },
  inputValue(e){
    let value = e.detail.value;
    this.setData({
      searchKey: value
    })
  },
  goUrl(e){
    let data=e.target.dataset.type;
    let chineseValue = e.target.dataset.value;
    this.setData({
      chineseValue: chineseValue,
      typeHidden:false,
      type: data,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})